Bug 853692 - (mate-settings-daemon) Review Request: mate-settings-daemon - MATE Desktop settings daemon
Review Request: mate-settings-daemon - MATE Desktop settings daemon
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On: mate-desktop
Blocks: MATE-DE-tracker mate-control-center
  Show dependency treegraph
 
Reported: 2012-09-02 03:17 EDT by Dan Mashal
Modified: 2012-10-14 20:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-14 20:49:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 leigh scott 2012-09-14 04:18:59 EDT
All these files belong in the main package and not in -devel

%{_libdir}/mate-settings-daemon-1.4.0/liba11y-keyboard.so
%{_libdir}/mate-settings-daemon-1.4.0/libclipboard.so
%{_libdir}/mate-settings-daemon-1.4.0/libfont.so
%{_libdir}/mate-settings-daemon-1.4.0/libhousekeeping.so
%{_libdir}/mate-settings-daemon-1.4.0/libkeybindings.so
%{_libdir}/mate-settings-daemon-1.4.0/libkeyboard.so
%{_libdir}/mate-settings-daemon-1.4.0/libmedia-keys.so
%{_libdir}/mate-settings-daemon-1.4.0/libmouse.so
%{_libdir}/mate-settings-daemon-1.4.0/libsmartcard.so
%{_libdir}/mate-settings-daemon-1.4.0/libsound.so
%{_libdir}/mate-settings-daemon-1.4.0/libtyping-break.so
%{_libdir}/mate-settings-daemon-1.4.0/libxrandr.so
%{_libdir}/mate-settings-daemon-1.4.0/libxrdb.so
%{_libdir}/mate-settings-daemon-1.4.0/libxsettings.so
Comment 2 Dan Mashal 2012-09-14 04:20:11 EDT
thanks leigh, but those are shared libaries. how to proceed?
Comment 3 leigh scott 2012-09-14 04:23:40 EDT
(In reply to comment #2)
> thanks leigh, but those are shared libaries. how to proceed?

Move them to the main package

# rpm -ql gnome-settings-daemon |grep /usr/lib64/gnome-settings-daemon-3.0
/usr/lib64/gnome-settings-daemon-3.0/a11y-keyboard.gnome-settings-plugin
/usr/lib64/gnome-settings-daemon-3.0/a11y-settings.gnome-settings-plugin
/usr/lib64/gnome-settings-daemon-3.0/background.gnome-settings-plugin
/usr/lib64/gnome-settings-daemon-3.0/clipboard.gnome-settings-plugin
/usr/lib64/gnome-settings-daemon-3.0/color.gnome-settings-plugin
/usr/lib64/gnome-settings-daemon-3.0/cursor.gnome-settings-plugin
/usr/lib64/gnome-settings-daemon-3.0/housekeeping.gnome-settings-plugin
/usr/lib64/gnome-settings-daemon-3.0/keyboard.gnome-settings-plugin
/usr/lib64/gnome-settings-daemon-3.0/liba11y-keyboard.so
/usr/lib64/gnome-settings-daemon-3.0/liba11y-settings.so
/usr/lib64/gnome-settings-daemon-3.0/libbackground.so
/usr/lib64/gnome-settings-daemon-3.0/libclipboard.so
/usr/lib64/gnome-settings-daemon-3.0/libcolor.so
/usr/lib64/gnome-settings-daemon-3.0/libcursor.so
/usr/lib64/gnome-settings-daemon-3.0/libgsd.so
/usr/lib64/gnome-settings-daemon-3.0/libgsdwacom.so
/usr/lib64/gnome-settings-daemon-3.0/libhousekeeping.so
/usr/lib64/gnome-settings-daemon-3.0/libkeyboard.so
/usr/lib64/gnome-settings-daemon-3.0/libmedia-keys.so
/usr/lib64/gnome-settings-daemon-3.0/libmouse.so
/usr/lib64/gnome-settings-daemon-3.0/liborientation.so
/usr/lib64/gnome-settings-daemon-3.0/libpower.so
/usr/lib64/gnome-settings-daemon-3.0/libprint-notifications.so
/usr/lib64/gnome-settings-daemon-3.0/libsmartcard.so
/usr/lib64/gnome-settings-daemon-3.0/libsound.so
/usr/lib64/gnome-settings-daemon-3.0/libupdates.so
/usr/lib64/gnome-settings-daemon-3.0/libxrandr.so
/usr/lib64/gnome-settings-daemon-3.0/libxsettings.so
/usr/lib64/gnome-settings-daemon-3.0/media-keys.gnome-settings-plugin
/usr/lib64/gnome-settings-daemon-3.0/mouse.gnome-settings-plugin
/usr/lib64/gnome-settings-daemon-3.0/orientation.gnome-settings-plugin
/usr/lib64/gnome-settings-daemon-3.0/power.gnome-settings-plugin
/usr/lib64/gnome-settings-daemon-3.0/print-notifications.gnome-settings-plugin
/usr/lib64/gnome-settings-daemon-3.0/smartcard.gnome-settings-plugin
/usr/lib64/gnome-settings-daemon-3.0/sound.gnome-settings-plugin
/usr/lib64/gnome-settings-daemon-3.0/updates.gnome-settings-plugin
/usr/lib64/gnome-settings-daemon-3.0/wacom.gnome-settings-plugin
/usr/lib64/gnome-settings-daemon-3.0/xrandr.gnome-settings-plugin
/usr/lib64/gnome-settings-daemon-3.0/xsettings.gnome-settings-plugin



You also need to add mate-conf scriptlets
Comment 4 Dan Mashal 2012-09-15 23:17:24 EDT
Fixed. Please check it.

Spec URL: http://vicodan.fedorapeople.org/matespec/mate-settings-daemon.spec 
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-settings-daemon-1.4.0-2.fc17.src.rpm
Description: MATE Desktop settings daemon
Comment 5 Rex Dieter 2012-09-16 07:31:22 EDT
I can review this (later) today
Comment 6 Rex Dieter 2012-09-16 13:10:12 EDT
1. MUST remove
BuildRequires: gcc-c++
it's included in
http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

naming: ok

licensing: ok

2.  sources: not ok
Source0:        http://vicodan.fedorapeople.org/mate-settings-daemon-1.4.0.tar.gz
MUST use verifiable upstream sources or provide justification why you're not doing so.

scriptlets: ok (mostly, except for...)

3.  MUST remove
ldconfig from %pre,%post,%postun, this package has no shared libraries (just plugins), so it's not needed.

4.  MUST own dir
%{_libdir}/mate-settings-daemon-1.4.0/
I'd recommend just listing ^^ , instead of all items under that separately.


scriptlets
Comment 7 Rex Dieter 2012-09-21 09:14:42 EDT
Fixed build with mate-desktop-1.4.1-11, so you can use upstream sources now.
Comment 8 Dan Mashal 2012-09-25 04:36:29 EDT
OK. 

Fixed:

Spec URL: http://vicodan.fedorapeople.org/matespec/mate-settings-daemon.spec 
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-settings-daemon-1.4.0-3.fc17.src.rpm
Description: MATE Desktop settings daemon
Comment 9 Rex Dieter 2012-09-25 09:27:38 EDT
sources: ok
$ md5sum *.xz
5d7608bf8b80f4847e6b146379568b83  mate-settings-daemon-1.4.0.tar.xz

5. MUST remove
export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig/:/usr/local/share/pkgconfig/
but I won't consider it a blocker here, but please do remove prior to doing any official builds

6. SHOULD remove
%pre
/sbin/ldconfig
this scriptlet is only required in %post and %postun

7. SHOULD add
Requires: mate-icon-theme
for /usr/share/icons/mate parent dir ownership (or can you think of some place lower in the stack to add this dependency?)

8. SHOULD remove rpath hacks
chrpath --delete %{buildroot}%{_libdir}/mate-settings-daemon-1.4.0/*.so
chrpath --delete %{buildroot}%{_libexecdir}/msd-locate-pointer
they're not needed

9. MUST own
%{_libdir}/mate-settings-daemon-1.4.0/
I'd suggest simplifying the %files list to just ^^ , and not list each item under it individually.
Comment 10 Rex Dieter 2012-09-25 09:28:53 EDT
oh, sorry, ignore item 6.  Please do honor item 3, there are no shared libraries here, so no need for ldconfig scriplets at all.
Comment 11 Dan Mashal 2012-09-25 10:51:10 EDT
chrpath is needed.. package was failing when i was building with out it.. ill double check in a bit.
Comment 12 Rex Dieter 2012-09-25 10:57:25 EDT
prior to suggesting it, I tested that it built fine for me without chrpath on my box.
Comment 13 leigh scott 2012-09-25 11:19:14 EDT
(In reply to comment #11)
> chrpath is needed.. package was failing when i was building with out it..
> ill double check in a bit.

The koji buildsystem doesn't require it to build.
Did you add it to fix a local build issue on your PC?
Comment 14 Dan Mashal 2012-09-25 11:29:10 EDT
Yeah that's why I said I need to debug. I'm still sitting in bed recovering from last night's hackathon. :) LOL
Comment 15 Dan Mashal 2012-09-25 19:14:27 EDT
>5. MUST remove
>export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig/:/usr/local/share/pkgconfig/
>but I won't consider it a blocker here, but please do remove prior to doing any >official builds

Builds fail without this. Please check it.

>6. SHOULD remove
>%pre
>/sbin/ldconfig
>this scriptlet is only required in %post and %postun

Done

>7. SHOULD add
>Requires: mate-icon-theme
>for /usr/share/icons/mate parent dir ownership (or can you think of some place >lower in the stack to add this dependency?)

Done, no I can't.

>8. SHOULD remove rpath hacks
>chrpath --delete %{buildroot}%{_libdir}/mate-settings-daemon-1.4.0/*.so
>chrpath --delete %{buildroot}%{_libexecdir}/msd-locate-pointer
>they're not needed

Done but rpmlint still complains.

>9. MUST own
>%{_libdir}/mate-settings-daemon-1.4.0/
>I'd suggest simplifying the %files list to just ^^ , and not list each item >under it individually.

Done.
Comment 17 Rex Dieter 2012-09-25 20:10:04 EDT
Thanks, looks good, APPROVED
Comment 18 Dan Mashal 2012-09-25 20:12:07 EDT
New Package SCM Request
=======================
Package Name: mate-settings-daemon
Short Description: MATE Desktop settings daemon
Owners: rdieter vicodan
Branches: f16 f17 f18
Comment 19 Jon Ciesla 2012-09-26 05:53:05 EDT
Git done (by process-git-requests).
Comment 20 Rex Dieter 2012-09-28 08:29:03 EDT
fyi, imported, building for rawhide now.
Comment 21 Fedora Update System 2012-09-29 14:52:42 EDT
mate-settings-daemon-1.4.0-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-settings-daemon-1.4.0-5.fc18
Comment 22 Fedora Update System 2012-09-29 23:48:52 EDT
mate-settings-daemon-1.4.0-5.fc18 has been pushed to the Fedora 18 testing repository.
Comment 23 Dan Mashal 2012-10-14 20:49:30 EDT
not sure why bodhi isn't closing bugs but both f18 and f17 packages have been pushed to stable.

Note You need to log in before you can comment on or make changes to this bug.